Bug#924126: unblock: czmq/4.2.0-2

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#924126: unblock: czmq/4.2.0-2

Luca Boccassi-3
Package: release.debian.org
Severity: normal
User: [hidden email]
Usertags: unblock

Dear Release Team,

Please consider unblocking migration of czmq 4.2.0-2 to buster to fix
#923695. It will be eligible to migrate in 5 days on the 14th, which is
past the deadline.
It is a tiny change (added 2 missing dependencies in the -dev package)
that fixes reverse dependencies builds in minimal chroots. There are
downstream users that would be affected by this bug in buster.

Background:
Version 4.2.0 uses Requires.private in the pkg-config file, which means
that if a program depends on libczmq-dev, it needs uuid-dev and
libsystemd-dev [linux-any] installed or pkg-config --cflags libczmq
will fail due to the missing uuid.pc and libsystemd.pc.

Despite having done this change upstream myself, AND despite having
done myself the upstream release noting this in the changelog and
explicitly saying that packagers should update the -dev or -devel list
of dependencies accordingly, and despite having done the 4.2.0-1 upload
to Debian myself, I then of course proceeded to _completely forget_ to
update said dependency list, because I am very silly.

Debdiff inlined below.

Thank you in advance!

--
Kind regards,
Luca Boccassi

diff -Nru czmq-4.2.0/debian/changelog czmq-4.2.0/debian/changelog
--- czmq-4.2.0/debian/changelog 2019-02-10 18:41:55.000000000
+0000
+++ czmq-4.2.0/debian/changelog 2019-03-03 22:23:19.000000000
+0000
@@ -1,3 +1,10 @@
+czmq (4.2.0-2) unstable; urgency=medium
+
+  * Add uuid-dev and libsystemd-dev dependencies on libczmq-dev,
required
+    by pkg-config --cflags libczmq.pc. (Closes: #923695)
+
+ -- Luca Boccassi <[hidden email]>  Sun, 03 Mar 2019 22:23:19 +0000
+
 czmq (4.2.0-1) unstable; urgency=medium
 
   * New upstream version 4.2.0
diff -Nru czmq-4.2.0/debian/control czmq-4.2.0/debian/control
--- czmq-4.2.0/debian/control 2019-02-10 18:41:55.000000000
+0000
+++ czmq-4.2.0/debian/control 2019-03-03 22:11:35.000000000
+0000
@@ -41,6 +41,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          libzmq3-dev,
+         uuid-dev,
+         libsystemd-dev [linux-any],
          libczmq4 (= ${binary:Version})
 Multi-Arch: same
 Description: High-level C binding for ZeroMQ (development files)

signature.asc (499 bytes) Download Attachment